SDL_THREAD_ANNOTATION_ATTRIBUTE__(3)

NAME
SDL_THREAD_ANNOTATION_ATTRIBUTE__ - Enable thread safety attributes, only with clang.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_THREAD_ANNOTATION_ATTRIBUTE__(x)   __attribute__((x))

DESCRIPTION
The attributes can be safely erased when compiling with other compilers.

To enable analysis, set these environment variables before running cmake:

        export CC=clang
        export CFLAGS="-DSDL_THREAD_SAFETY_ANALYSIS -Wthread-safety"